import { Component } from 'react';
export interface IRateStarProps {
    value: number;
    allowHalf?: boolean;
    disabled?: boolean;
    character?: React.ReactNode;
    onHover(e: React.MouseEvent<HTMLLIElement>, index: number): void;
    onClick(e: React.MouseEvent<HTMLLIElement>, index: number): void;
    index: number;
    readOnly?: boolean;
}
export default class Star extends Component<IRateStarProps> {
    elRef: import("react").RefObject<HTMLLIElement>;
    onHover: (e: React.MouseEvent<HTMLLIElement>) => void;
    onClick: (e: React.MouseEvent<HTMLLIElement>) => void;
    getClassName(): string;
    getFloatValue: () => string;
    render(): JSX.Element;
}
